<?php
//include 'start_cache.php';
	include 'common/config.php';
include("lang.php");

if($lang=="ar"){
  require("ar/src/Arabic.php");
    $Arabic = new \ArPHP\I18N\Arabic();
}
if($lang=="ja"){
  require("ascii/ja.php");
}

$title=H1;
$canonical="https://$domain";
if(isset($mdportada))
{
  $metadescription=$mdportada;
}
  include 'common/head.php';
  ?>
  <link rel="canonical" href="https://<?php echo $dominio;?>">
  <link rel="alternate" hreflang="en" href="https://surnam.es">
  <link rel="alternate" hreflang="es" href="https://apellidos.de">
  <link rel="alternate" hreflang="fr" href="https://nomsdefamille.net">
  <link rel="alternate" hreflang="ca" href="https://cognoms.es">
  <link rel="alternate" hreflang="de" href="https://nachnamen.net">
  <link rel="alternate" hreflang="it" href="https://cognome.eu">
  <link rel="alternate" hreflang="pt" href="https://sobrenome.info">
  <link rel="alternate" hreflang="pl" href="https://nazwiska.net">
  <link rel="alternate" hreflang="nl" href="https://familienamen.net">
  <link rel="alternate" hreflang="ru" href="https://xn--80aqaane8c.com">
  <link rel="alternate" hreflang="ro" href="https://numedefamilie.eu">
  <link rel="alternate" hreflang="sv" href="https://efternamn.net">
  <link rel="alternate" hreflang="da" href="https://efternavne.com">
  <link rel="alternate" hreflang="hu" href="https://vezeteknevek.com">
  <link rel="alternate" hreflang="cs" href="https://prijmeni.eu">
  <link rel="alternate" hreflang="bg" href="https://xn--80aaolaatgehe8e.com">
  <link rel="alternate" hreflang="fi" href="https://sukunimet.com">
  <link rel="alternate" hreflang="ar" href="https://alalqab.com">
  <link rel="alternate" hreflang="hi" href="https://kulanaam.com">
  <link rel="alternate" hreflang="th" href="https://namskul.com">
  <link rel="alternate" hreflang="tr" href="https://soyadlari.com">
  <link rel="alternate" hreflang="ja" href="https://xn--p8s123g.net">


        
    </head>
  
    <?php
  include 'common/header.php';	



$texto=file_get_contents("lang/portada_$lang.txt");
$porciones=explode("#",$texto);


?>


<!-- Page Content -->
<div class="container">
  <?php
include "50masvisitados.php";
?>
  <!-- Page Heading/Breadcrumbs -->
  <h1><?php echo H1;?></h1>
  
<?php include("lang/$lang/adshoriz.php");?>


<?php if($lang =="ru" or $lang=="bg"){?>
<ul class="row list-unstyled"> 
  
<?php
$letras=[
"а" => "a", "б" => "b", "в" => "v", "г" => "g", "д" => "d",
"е" => "e", "ё" => "yo", "ж" => "j", "з" => "z", "и" => "ii",
"й" => "ji", "к" => "k", "л" => "l", "м" => "m", "н" => "n",
"о" => "o", "п" => "p", "р" => "r", "с" => "s", "т" => "t",
"у" => "y", "ф" => "f", "х" => "h", "ц" => "c", "ч" => "ch",
"ш" => "sh", "щ" => "sch", "ы" => "ie", "э" => "e", "ю" => "u",
"я" => "ya"];





foreach($letras as $letraru => $letralat)
{
?>

<li><a class="btn btn-granate btn m-1" title="<?php echo $apellidoscon;?> <?php echo $letraru;?>" href="<?php echo $apellidosconurl;?><?php echo $letralat;?>"><?php echo $letraru;?></a></li>

<?php } ?>
</ul>
<?php } ?>

<?php if($lang =="ru" or $lang=="ar" or $lang=="th" or $lang=="hi" or $lang=="ja" or $lang=="bg"){} else {?>
<ul class="row list-unstyled"> 
<?php

$letras="abcdefghijklmnopqrstuvwxyz";


for($i = 0; $i < 26; $i++)
{

echo "<li><a class=\"btn btn-granate btn m-1\" title=\"$apellidoscon $letras[$i]\" href=\"$apellidosconurl$letras[$i]\">$letras[$i]</a></li>" ;


}

?>
</ul>
<?php } ?>

  <div class="row">
<div class="card2 col-sm m-2 page">

<h2><?php echo MASBUSCADOS;?></h2>
<ol class="row">

<?php 
  // Mostramos el listado de paises.
  $sql = "
          SELECT url
          FROM apellidos_nuevos    
          ORDER BY visitas_$lang DESC limit 50;
        ";

  // Query response is array.
  $respuesta = queryRedis($sql);

  // echo $respuesta[0];
  foreach($respuesta as $value) {
    $url=$value["url"];
    $nombre=ucfirst(urltoname("$url"));
    if($lang=="ru" or $lang=="bg"){$nombre=to_cyrillic($nombre);}
    if($lang=="ar"){$nombre= $Arabic->en2ar($nombre);}
    if($lang=="ja"){$nombre= latintojapan(urltoname($url));}

    ?>
                
    <li class="list-item col-lg-6 mb-1"><a href='<?php echo $urlapellidopre.$url.$urlapellidopost;?>'>
    <?php echo $nombre;?></a></li>

<?php    }   

?>


</ol>

</div>
<div class="card2 col-sm m-2 page">

<h2><?php echo ULTIMOS;?></h2>
<?php
$archivo = "cache/visitas/apellidosvisitas50_$lang.txt";

// Lee el contenido del archivo y almacena cada URL visitada en un array
if (file_exists($archivo)) {
    $contenido = file_get_contents($archivo);
    $visitas = explode("\n", $contenido);
} else {
    $visitas = array();
}

// Crea una lista HTML con los últimos 50 elementos del array de visitas
$html = '<ul class="list-unstyled row">';
foreach (array_slice($visitas, 0, 50) as $visita) {

  $url=$visita;
  $url=str_replace(" ","_",$url);
  $url=str_replace(".","0",$url);
  $nombre=ucfirst(urltoname("$url"));
  if($lang=="ru"  or $lang=="bg"){$nombre=to_cyrillic($nombre);}
  if($lang=="ar"){$nombre= $Arabic->en2ar($nombre);}
  if($lang=="ja"){$nombre= latintojapan(urltoname($url));}

    $html .= '<li class="list-item col-lg-6 mb-1"><a href='.$urlapellidopre.$url.$urlapellidopost.'>'.$nombre.'</a></li>';
}
$html .= '</ul>';

// Imprime la lista HTML
echo $html;
?>

<ul class="list-unstyled row">

<?php 
  // Mostramos el listado de paises.
  $sql = "
  SELECT url
  FROM apellidos_nuevos where site like '$lang'  
  ORDER BY fecha DESC limit 50;
        ";

  // Query response is array.
  $respuesta = queryRedis($sql);

  // echo $respuesta[0];
  foreach($respuesta as $value) {
    $url=$value["url"];
    $url=str_replace(" ","_",$url);
    $url=str_replace(".","0",$url);
    $nombre=ucfirst(urltoname("$url"));
    if($lang=="ru"  or $lang=="bg"){$nombre=to_cyrillic($nombre);}
    if($lang=="ar"){$nombre= $Arabic->en2ar($nombre);}
    if($lang=="ja"){$nombre= latintojapan(urltoname($url));}
    ?>
    <li class="list-item col-lg-6 mb-1"><a href='<?php echo $urlapellidopre.$url.$urlapellidopost;?>'>
    <?php echo $nombre;?></a></li>

<?php    }   

?>


</ul>

</div></div>
<?php include("lang/$lang/adscuadrado.php");?>
<?php echo $porciones[0];?>

<?php
$filename = "cache/paisesportada/$lang.txt";

// Verificamos si el archivo existe y no está vacío.
if (file_exists($filename) && filesize($filename) > 0) {
$content=file_get_contents($filename);
  // Leemos el contenido del archivo y lo mostramos.
  echo "<ul class=\"list-unstyled row f32\">" . $content . "</ul>";   
} else {
  // Si el archivo no existe o está vacío, ejecutamos la consulta.
  $sql = "SELECT info.iso, info.$campopais pais, info.$campopaisurl paisurl , info.$campogentilicio gentilicio
          FROM countryinfo info 
          RIGHT JOIN countrytop200 top200 ON (info.iso = top200.iso)
          WHERE info.iso is not null
          GROUP BY info.iso, info.$campopais, info.$campopaisurl
          ORDER BY info.$campopais ASC;";

  $respuesta = queryRedis($sql);

  $content = "";

  foreach($respuesta as $value) {
    $paisurl=$value["paisurl"];
    $listapre=LISTAPRE;
    if(defined('LISTAPRE2')){
      if($paisurl[0]=="a" or $paisurl[0]=="e" or $paisurl[0]=="i" or $paisurl[0]=="o" or $paisurl[0]=="u"){
        $listapre=LISTAPRE2;
      }
    }
    $content .= "<li class=\"list-item col-lg-4 mb-2 flag ".strtolower($value["iso"])."\"><a href='".$value["paisurl"]."'><img class=\"fluix\" width='32' height='32' src='flags/".strtolower($value["iso"]).".png' alt=\"".FLAGPRE."".$value["gentilicio"]."".FLAGPOST."\"></a> <a href='".$value["paisurl"]."'>".FLAGPRE."".$value["gentilicio"]."".FLAGPOST."</a></li>";
  }

  // Escribimos el contenido en el archivo.
  file_put_contents($filename, $content);

  // Mostramos el contenido en la página.
  echo "<ul class=\"list-unstyled row f32\">" . $content . "</ul>";
}
?>
     <?php include("lang/$lang/adshoriz.php");?>
    <?php echo $porciones[1];?>
 </div>



<?php include 'common/footer.php';
//include 'end_cache.php';
?>